--- old/usr/src/uts/common/fs/zfs/sys/dmu.h	2014-10-16 19:15:51.589381843 +0200
+++ new/usr/src/uts/common/fs/zfs/sys/dmu.h	2014-10-16 19:15:51.595469419 +0200
@@ -263,6 +263,7 @@
  * Public routines to create, destroy, open, and close objsets.
  */
 int dmu_objset_hold(const char *name, void *tag, objset_t **osp);
+int dmu_objset_hold_nolock(const char *name, void *tag, objset_t **osp);
 int dmu_objset_own(const char *name, dmu_objset_type_t type,
     boolean_t readonly, void *tag, objset_t **osp);
 void dmu_objset_rele(objset_t *os, void *tag);
@@ -279,6 +280,8 @@
 int dmu_objset_snapshot_tmp(const char *, const char *, int);
 int dmu_objset_find(char *name, int func(const char *, void *), void *arg,
     int flags);
+int dmu_objset_find_parallel(char *name, int func(const char *, void *),
+    void *arg, int flags);
 void dmu_objset_byteswap(void *buf, size_t size);
 int dsl_dataset_rename_snapshot(const char *fsname,
     const char *oldsnapname, const char *newsnapname, boolean_t recursive);
